Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.transformer.sql
Enum SqlAttributeName

    java.lang.Object
      java.lang.Enum<SqlAttributeName>
          org.apache.torque.templates.transformer.sql.SqlAttributeName

All Implemented Interfaces:
  Serializable, Comparable<SqlAttributeName>, SourceAttributeName

    public enum SqlAttributeName

extends Enum<SqlAttributeName>
implements SourceAttributeName

Contains the attributes created by the SQLTransformer.

Enum Constant Summary
`DDL_SQL` The attribute contains the SQL to define the column.
`FOREIGN_COLUMN_NAMES` The attribute contains all foreign column names in a comma-separated String.
`INDEX_COLUMN_NAMES` The attribute contains all index column names in a comma-separated String.
`LOCAL_COLUMN_NAMES` The attribute contains all local column names in a comma-separated String.
`PRIMARY_KEY_COLUMN_NAMES` The attribute contains all primary key columns in a comma-separated String.
`PRIMARY_KEY_CONSTRAINT_NAME` The attribute contains the name of the constraint defining the primary key of a table.
`SEQUENCE_NAME` The attribute contains the name of the sequence from which the primary key of the table is generated.
`UNIQUE_COLUMN_NAMES` The attribute contains all unique column names in a comma-separated String.
`UNQUALIFIED_NAME` The unqualified (without schema) table name.

Method Summary
`String` | `getName()` Returns the name of the referenced source element attribute.
`String` | `toString()`
`static SqlAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNQUALIFIED_NAME

    public static final SqlAttributeName UNQUALIFIED_NAME

  The unqualified (without schema) table name.

### PRIMARY_KEY_COLUMN_NAMES

    public static final SqlAttributeName PRIMARY_KEY_COLUMN_NAMES

  The attribute contains all primary key columns in a comma-separated String.

### UNIQUE_COLUMN_NAMES

    public static final SqlAttributeName UNIQUE_COLUMN_NAMES

  The attribute contains all unique column names in a comma-separated String.

### INDEX_COLUMN_NAMES

    public static final SqlAttributeName INDEX_COLUMN_NAMES

  The attribute contains all index column names in a comma-separated String.

### LOCAL_COLUMN_NAMES

    public static final SqlAttributeName LOCAL_COLUMN_NAMES

  The attribute contains all local column names in a comma-separated String.

### FOREIGN_COLUMN_NAMES

    public static final SqlAttributeName FOREIGN_COLUMN_NAMES

  The attribute contains all foreign column names in a comma-separated String.

### PRIMARY_KEY_CONSTRAINT_NAME

    public static final SqlAttributeName PRIMARY_KEY_CONSTRAINT_NAME

  The attribute contains the name of the constraint defining the primary key of a table.

### SEQUENCE_NAME

    public static final SqlAttributeName SEQUENCE_NAME

  The attribute contains the name of the sequence from which the primary key of the table is generated.

### DDL_SQL

    public static final SqlAttributeName DDL_SQL

  The attribute contains the SQL to define the column.

Method Detail

### values

    public static SqlAttributeName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SqlAttributeName c : SqlAttributeName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SqlAttributeName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns the name of the referenced source element attribute.

  Specified by:
    `getName` in interface `SourceAttributeName`
  Returns:
    the name of the referenced source element attribute.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SqlAttributeName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.